Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Reply
 
Thread Tools Search this Thread
  #1  
Old 11-01-2011
Member
 
Join Date: Nov 2010
Posts: 14
Help with jGrasp in Linux Mint

Hello friends, I am working with the Linux Mint 10, when I make use of the jGrasp to the programming within the Java but I then get the message of the compiler: ----jGRASP exec: javac -g tokenizer.java
jGRASP wedge program "/home/rom/jgrasp/jbin/linux_run" exists but it could not be get executed. I am unable to run the program jGRASP wedge program "/home/rom/jgrasp/jbin/linux_run" : java.io.IOException: error=2, No such file or directory. I then checked the permission onto the file. I had then changed the permission of the jgrasp.jar. what can I do now. Help me
Reply With Quote
  #2  
Old 11-01-2011
Member
 
Join Date: Nov 2009
Posts: 754
Re: Help with jGrasp in Linux Mint

I had tried to download the jGRASP 1.8.8_02 Beta 4 as well as the jGRASP 1.8.8_01 editions, unzipped them and they ran beyond the box.
Both with:
Code:
Code: Select all
java -jar ~/jgrasp/jgrasp.jar
and
Code:
Code: Select all
~/jgrasp/bin/jgrasp
through the java -version
java version "1.6.0_20"
OpenJDK Runtime Environment (IcedTea6 1.9.2) (6b20-1.9.2-0ubuntu2)
OpenJDK 64-Bit Server VM (build 19.0-b09, mixed mode)
Have you set up java through the synaptic or else did you now unzip it? If you had install it by means of the synaptic, then it places all the connections in /usr/bin, and so on up for you.
Reply With Quote
  #3  
Old 11-01-2011
Member
 
Join Date: Apr 2009
Posts: 967
Re: Help with jGrasp in Linux Mint

Have you verified your compiler situations as explained within the doc? You should might require altering the Compiler Settings through the just click onto the option Settings, after that in Compiler Settings, you will get the Workspace. Choose the suitable language, and after that choose the environment setting that the majority almost equals with the compiler which you have installed. Also it might be here are settings within there that will assist. if whatever thing is previously distinct within the JGRASP_CLASSPATH. inside a terminal, enter the following to locate the contents of that variable. "$JGRASP_CLASSPATH".
Reply With Quote
  #4  
Old 11-01-2011
mv mv is offline
Member
 
Join Date: May 2008
Posts: 681
Re: Help with jGrasp in Linux Mint

As suggested by the ?Elieis?, it is good answer to tackle with this kind of the problem. by completing all the above proceedings as given by him, you should also add the one more command to it that is this:
Code:
Code: Select all
~/jgrasp/bin/linux/jgrasp -j ~/jgrasp
Along with it; also try running this. This will be more helpful.
Reply With Quote
  #5  
Old 04-03-2013
Member
 
Join Date: Mar 2013
Posts: 1
Re: Help with jGrasp in Linux Mint

I realize this thread is pretty old, but I'm only posting to update with an actual solution to this problem in case anyone else runs across it like I did.

Install LSB. Plain and simple. Oddly enough, I got this solution from jGRASP itself. When run from the commandline I get this for output (On my Mageia 2 system, not on my Mint system, but same issue on either):
Code:
$ bin/jgrasp
Runtime linker /lib64/ld-lsb-x86-64.so.3 not found.
You need to install lsb-core or the equivalent in
order to run jGRASP with native support on your system.
Running jGRASP using "/usr/lib/jvm/java-1.7.0-openjdk.x86_64/bin/java -cp jgrasp.jar:/usr/lib/jvm/java-1.7.0-openjdk.x86_64/bin/../lib/tools.jar Grasp -pj".
Any filename argument will be ignored.
Native integration with the OS will not be available.
Solved it by the simple expedient of installing LSB:
Code:
$ sudo urpmi lsb
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release (distrib1)")
  at                             3.1.13       4.mga2        x86_64  
  lib64glibc_lsb                 2.4.7        7.mga1        x86_64  
  lib64qt3                       3.3.8b       30.mga2       x86_64  
  lsb-core-lib64                 4.1          11.mga2       x86_64  
  lsb-core-noarch                4.1          11.mga2       x86_64  
  lsb-lib64                      4.1          11.mga2       x86_64  
  lsb-noarch                     4.1          11.mga2       x86_64  
  pax                            3.4          8.mga1        x86_64  
  perl-Class-ISA                 0.360.0      3.mga1        noarch  
  perl-Pod-Plainer               1.30.0       3.mga1        noarch  
  perl-Safe                      2.300.0      1.mga2        x86_64  
  qt3-common                     3.3.8b       30.mga2       x86_64  
(medium "Core Updates (distrib3)")
  lib64jpeg62                    1.2.0        4.1.mga2      x86_64  
10MB of additional disk space will be used.
2.8MB of packages will be retrieved.
Proceed with the installation of the 13 packages? (Y/n) y


    $MIRRORLIST: media/core/release/lib64glibc_lsb-2.4.7-7.mga1.x86_64.rpm
    $MIRRORLIST: media/core/release/qt3-common-3.3.8b-30.mga2.x86_64.rpm       
    $MIRRORLIST: media/core/release/lsb-core-noarch-4.1-11.mga2.x86_64.rpm     
    $MIRRORLIST: media/core/release/at-3.1.13-4.mga2.x86_64.rpm                
    $MIRRORLIST: media/core/release/lsb-core-lib64-4.1-11.mga2.x86_64.rpm      
    $MIRRORLIST: media/core/release/lib64qt3-3.3.8b-30.mga2.x86_64.rpm         
    $MIRRORLIST: media/core/release/pax-3.4-8.mga1.x86_64.rpm                  
    $MIRRORLIST: media/core/updates/lib64jpeg62-1.2.0-4.1.mga2.x86_64.rpm      
installing lib64glibc_lsb-2.4.7-7.mga1.x86_64.rpm qt3-common-3.3.8b-30.mga2.x86_64.rpm lib64jpeg62-1.2.0-4.1.mga2.x86_64.rpm at-3.1.13-4.mga2.x86_64.rpm lib64qt3-3.3.8b-30.mga2.x86_64.rpm lsb-core-lib64-4.1-11.mga2.x86_64.rpm lsb-core-noarch-4.1-11.mga2.x86_64.rpm pax-3.4-8.mga1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #############################################
     1/13: lib64qt3              #############################################
     2/13: qt3-common            warning: /etc/qtrc created as /etc/qtrc.rpmnew
#############################################
     3/13: pax                   #############################################
     4/13: at                    #############################################
     5/13: lsb-core-noarch       #############################################
     6/13: lib64glibc_lsb        #############################################
     7/13: lsb-core-lib64        #############################################
     8/13: lib64jpeg62           #############################################


    $MIRRORLIST: media/core/release/lsb-lib64-4.1-11.mga2.x86_64.rpm
    $MIRRORLIST: media/core/release/perl-Safe-2.300.0-1.mga2.x86_64.rpm        
    $MIRRORLIST: media/core/release/perl-Class-ISA-0.360.0-3.mga1.noarch.rpm   
    $MIRRORLIST: media/core/release/perl-Pod-Plainer-1.30.0-3.mga1.noarch.rpm  
    $MIRRORLIST: media/core/release/lsb-noarch-4.1-11.mga2.x86_64.rpm          
installing lsb-lib64-4.1-11.mga2.x86_64.rpm perl-Pod-Plainer-1.30.0-3.mga1.noarch.rpm perl-Class-ISA-0.360.0-3.mga1.noarch.rpm perl-Safe-2.300.0-1.mga2.x86_64.rpm lsb-noarch-4.1-11.mga2.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #############################################
     9/13: perl-Safe             #############################################
    10/13: perl-Class-ISA        #############################################
    11/13: perl-Pod-Plainer      #############################################
    12/13: lsb-noarch            #############################################
    13/13: lsb-lib64             #############################################
Hope this helps someone else.
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "Help with jGrasp in Linux Mint"
Thread Thread Starter Forum Replies Last Post
Mint Backup Tool is not working in Linux Mint Debian Edition 32 bit Giaan Operating Systems 5 13-11-2011 04:23 PM
Which one is better Linux Mint 11 Katya or Linux Mint 11 Julia LohitPratap Operating Systems 7 13-11-2011 04:15 PM
How to upgrade linux mint 10 to linux mint 11 Muktar Operating Systems 7 11-11-2011 07:10 PM
Linux mint: Mint-X-Metal and Shiki-Wise hybrid theme hardyB Customize Desktop 5 13-01-2011 10:10 PM
How to get mint-artwork-gnome when it is missing in Linux Mint Aditya K. Operating Systems 4 13-01-2011 03:54 PM


All times are GMT +5.5. The time now is 03:21 AM.